Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.task
Class Deadline

    java.lang.Object
      org.jbpm.task.Deadline

All Implemented Interfaces:
  Externalizable, Serializable

    @Entity
    public class Deadline

extends Object
implements Externalizable

See Also:
  Serialized Form

Constructor Summary
`Deadline()`

Method Summary
`boolean` | `equals(Object obj)`
`Date` | `getDate()`
`List<I18NText>` | `getDocumentation()`
`List<Escalation>` | `getEscalations()`
`long` | `getId()`
`int` | `hashCode()`
`Boolean` | `isEscalated()`
`void` | `readExternal(ObjectInput in)`
`void` | `setDate(Date date)`
`void` | `setDocumentation(List<I18NText> documentation)`
`void` | `setEscalated(Boolean escalated)`
`void` | `setEscalations(List<Escalation> escalations)`
`void` | `setId(long id)`
`void` | `writeExternal(ObjectOutput out)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Deadline

    public Deadline()

Method Detail

### isEscalated

    public Boolean isEscalated()

### setEscalated

    public void setEscalated(Boolean escalated)

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Specified by:
    `writeExternal` in interface `Externalizable`
  Throws:
    `IOException`

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Specified by:
    `readExternal` in interface `Externalizable`
  Throws:
    `IOException`
    `ClassNotFoundException`

### getId

    public long getId()

### setId

    public void setId(long id)

### getDocumentation

    public List<I18NText> getDocumentation()

### setDocumentation

    public void setDocumentation(List<I18NText> documentation)

### getDate

    public Date getDate()

### setDate

    public void setDate(Date date)

### getEscalations

    public List<Escalation> getEscalations()

### setEscalations

    public void setEscalations(List<Escalation> escalations)

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.